For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Checking for (in)valid wire to add for BRepBuilderAPI_MakeFace::Add

Martin Joergensen's picture
Forums: 

Hello, I'm a new user. I've been using:  "BRepBuilderAPI_MakeFace::Add" to add holes to faces, and from the documentation it says:

Adds the wire W to the constructed face as a hole. Warning W must not cross the other bounds of the face, and all the bounds must define only one area on the surface. (Be careful, however, as this is not checked.) 

I want to perform this check and create an error message, if this situation arises (in bold above)... What is the easiest method to accomplish this? I would be grateful for any help/suggestions, thanks!